CSFML - C binding of the Simple and Fast Multimedia Library

CSFML
Data Fields
sfContextSettings Struct Reference

Structure defining the window's creation settings. More...

`#include <Window.h>`

## Data Fields
unsigned int | depthBits
| Bits of the depth buffer. More...
unsigned int | stencilBits
| Bits of the stencil buffer. More...
unsigned int | antialiasingLevel
| Level of antialiasing. More...
unsigned int | majorVersion
| Major number of the context version to create. More...
unsigned int | minorVersion
| Minor number of the context version to create. More...
sfUint32 | attributeFlags
| The attribute flags to create the context with. More...
sfBool | sRgbCapable
| Whether the context framebuffer is sRGB capable. More...

## Detailed Description

Structure defining the window's creation settings.

Definition at line 70 of file Window/Window.h.

## Field Documentation

## ◆ antialiasingLevel

unsigned int sfContextSettings::antialiasingLevel

Level of antialiasing.

Definition at line 74 of file Window/Window.h.

## ◆ attributeFlags

sfUint32 sfContextSettings::attributeFlags

The attribute flags to create the context with.

Definition at line 77 of file Window/Window.h.

## ◆ depthBits

unsigned int sfContextSettings::depthBits

Bits of the depth buffer.

Definition at line 72 of file Window/Window.h.

## ◆ majorVersion

unsigned int sfContextSettings::majorVersion

Major number of the context version to create.

Definition at line 75 of file Window/Window.h.

## ◆ minorVersion

unsigned int sfContextSettings::minorVersion

Minor number of the context version to create.

Definition at line 76 of file Window/Window.h.

## ◆ sRgbCapable

sfBool sfContextSettings::sRgbCapable

Whether the context framebuffer is sRGB capable.

Definition at line 78 of file Window/Window.h.

## ◆ stencilBits

unsigned int sfContextSettings::stencilBits

Bits of the stencil buffer.

Definition at line 73 of file Window/Window.h.

The documentation for this struct was generated from the following file:

- Window/Window.h